Subject: Re: bug#71965: 30.0.60; '*nntpd** has no process' after left idle for a long time

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jul 2024 09:38:22 +0300

> From: [email-masked]
> Date: Fri, 05 Jul 2024 21:33:01 -0500
> 
> I'm going to have a hard time reproducing this one.  I'm not
> giving up, but I'm also reporting early in case someone can
> figure it out before I can track it down.
> 
> GNUS is configured like so:
> 
> #+begin_src elisp
> (setq gnus-select-method '(nnnil "")
>       gnus-secondary-select-methods
>       '(
>         (nnimap "imap.fastmail.com"
>                 (nnimap-stream ssl)
>                 (nnimap-record-commands t)
>                 )
>         )
>       )
> #+end_src
> 
> What happened:
> 
> 1. Reading some mail; Summary and Article buffer open
> 2. Walk away for a while; laptop falls asleep
> 3. Wake it up and press 'q' to return to the *Group* buffer
> 
> Note that I've always left GNUS hanging like this, and probably
> with laptops going to sleep for at least 20 years.  I think this
> is a new post-29.x regression.
> 
> If anyone has any suggestions on how I can reproduce it more
> quickly, that would be great :).
> 
> Thanks!
> 
> Expected results:
> Back at the *Group* buffer.
> 
> Actual results:
> Still in the Summary buffer, with this error shown for every time
> I type 'q':
> 
> nnimap-send-command: Buffer  *nnimap imap.fastmail.com nil  *nntpd** has no process
> 
> Unfortunately I didn't think to check the debug log buffer until
> after I pressed 'q' a lot of times and finally guessed that maybe
> 'n' to fetch another message might wake things back up (it did).
> But here's what I found when I finally looked:
> 
> #+begin_example
> 19:39:31 [imap.fastmail.com] 610 UID FETCH 40517 BODY.PEEK[]
> 19:55:57 [imap.fastmail.com] 611 NOOP
> 19:55:57 [imap.fastmail.com] 612 NOOP
> 21:10:18 [imap.fastmail.com] 613 NOOP
> 21:10:18 [imap.fastmail.com] 614 NOOP
> 21:10:26 [imap.fastmail.com] 615 SELECT "INBOX"
> 21:10:26 [imap.fastmail.com] 616 EXPUNGE
> 21:10:35 [imap.fastmail.com] 617 EXPUNGE
> 21:11:25 [imap.fastmail.com] 618 EXPUNGE
> 21:11:34 [imap.fastmail.com] 619 EXPUNGE
> 21:14:35 [imap.fastmail.com] (inhibited)
> 21:14:35 [imap.fastmail.com] 621 CAPABILITY
> 21:14:35 [imap.fastmail.com] 622 ENABLE QRESYNC
> 21:14:35 [imap.fastmail.com] 623 SELECT "INBOX"
> 21:14:35 [imap.fastmail.com] 624 SELECT "INBOX"
> 21:14:35 [imap.fastmail.com] 625 UID FETCH 40380 BODY.PEEK[]
> 21:14:37 [imap.fastmail.com] 626 SELECT "INBOX"
> 21:14:37 [imap.fastmail.com] 627 UID STORE 40380 +FLAGS.SILENT (\Seen)
> 21:14:38 [imap.fastmail.com] 628 EXPUNGE
> #+end_example

Thank you for your report.

Eric, can you please look into this?